Skip to main content
GET
/
v1
/
tax_filings
/
{id}
Retrieve a tax filing
curl --request GET \
  --url https://api.yorlet.com/v1/tax_filings/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "tax_filing",
  "description": "<string>",
  "type": "nrl6",
  "account": "<string>",
  "deleted": false,
  "filed_count": 0,
  "metadata": {},
  "total_count": 0
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a tax filing object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
tax_filing
description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

status
enum<string>
required

The current status of the tax filing.

Available options:
pending,
complete
type
enum<string>
required

The type of tax forms included in this filing.

Available options:
nrl6
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

filed_count
integer
default:0

The number of tax forms that have been filed in this filing.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

total_count
integer
default:0

The total number of tax forms included in this filing.